@charset "utf-8";/*這段一定要加否則中文會變亂碼*/

/*
關於CSS設定說明
CSS屬性是會繼承的，而且還是由上往下繼承。
同樣元素設定16px 後 12px 再 15px 最後會以最後設定的15px為準
但是有兩種情況除外:
1.絕對路徑命名. 如: .xx .yy .zz p {設定值;}
2.important.  如: .xx p {設定值 !important;}


※※※【 CSS3選取器常用語法 】※※※

結構性偽類選擇器：
規則：在父元素中所有子元素的順序，所有父元素中的子元素皆會被選取。

:nth-child(n)       第幾個子元素
:nth-child(odd)     選中奇數列的子元素=:nth-child(2n+1)
:nth-child(even)    選中偶數列的子元素=:nth-child(2n)
:nth-child(n+5)     第5個開始之後的全部子元素
:nth-child(-n+3)    前3個子元素
:last-child         最後一個子元素

----------------------------------------------------

規則：根據元素的標籤類型(tag name)，來選擇父元素中的第幾個同類型子元素被選取。

:nth-of-type(n)     第幾個同標籤的元素
:nth-of-type(odd)   選中奇數列的同標籤子元素=:nth-of-type(2n+1)
:nth-of-type(even)  選中偶數列的同標籤子元素=:nth-of-type(2n)
:nth-of-type(n+5)   第5個開始之後的全部同標籤子元素
:nth-of-type(-n+3)  前3個同標籤子元素
:last-of-type       最後一個同標籤子元素

----------------------------------------------------

【 grid容器的欄位常用於排版設定大小的方式 】:

minmax(最小值, 最大值)

例： minmax(min(90px, 100%), 1fr)
翻譯：
欄位最小寬度為 90px 和 100% 之間的較小值，如果容器小於 90px，則會改取 100% 讓欄位撐滿整行。
1fr是剩餘空間的比例，在空間允許時，讓這1個欄位平均分配剩餘寬度。

----------------------------------------------------

例： grid-template-columns: repeat(auto-fit, minmax(min((n)px, 100%), 1fr));
翻譯：
每個欄位寬度 至少 min((n)px, 100%)（也就是最多不超過 (n)px ，如果太窄就撐滿一行100%）。
每個欄位最大可擴展到 1fr(平均分配剩餘空間)。
欄位數量會依容器大小自動調整，剛好填滿一整行(auto-fit)。

----------------------------------------------------

【 clip-path: 用來裁切該元素的顯示區域 】

clip-path:circle(50% at 50% 50%);                           圓形裁切( 半徑50%  圓心在中間 )
clip-path: ellipse(60% 40% at 50% 50%);                     橢圓形裁切( x軸半徑60%  y軸半徑 40% 圓心在中間 )
clip-path: polygon(0% 0%, 100% 0%, 100% 100%, 0% 100%)      多邊形裁切(較常用)(甚麼都沒切)
clip-path: inset(20px 30px 40px 10px);                      矩形內縮裁切(少用)(從上右下左分別裁切)
clip-path: none;                                            甚麼都沒切

polygon() 使用的座標系統：

1.左上角 2.右上角 3.右下角 4.左下角 (按順序)

(0%,0%) ─────────── (100%,0%)
   │                    │
   │                    │
   │                    │
(0%,100%) ─────── (100%,100%)



補充：
可搭配 SVG 使用，clip-path: url(#myClip) ;引用 SVG 定義的裁切路徑，能做更複雜形狀。

----------------------------------------------------

【 動畫效果設定說明 】

animation: 動畫名稱 幾秒s [linear(動畫速度保持均勻) or steps(在固定時間內切成n等分逐步進行)] infinite(無限次循環) alternate(動畫結束時會反向播放呈現來回移動的狀態);
一定要要搭配 @keyframes 動畫名稱 { ... } 使用。



















/* 滾動條-------------------- */

/* 捲軸寬度及高度 */
::-webkit-scrollbar {
    width: 8px;
    /*右側捲軸寬度*/
    height: 0px;
    /*下方捲軸高度*/
}

/* 軌道背景底色 */
::-webkit-scrollbar-track {
    background-color: #222;
}

/* 滑桿顏色 */
::-webkit-scrollbar-thumb {
    background-color: #444;
    border-radius: 5px;
    border: 2px solid #222;
}

/* 滑桿滑鼠滑入時的顏色 */
::-webkit-scrollbar-thumb:hover {
    background: #a1915a;
}

/*反白顏色*/
::-moz-selection {
    background-color:#222;
    color: #a1915a;
}

::selection {
    background-color:#222;
    color: #a1915a;
}

/* 網站全域ROOT設定------------------ */
:root {
  --MainColor: #e5d89e; /*主要色系*/
  --SubColor1: #c19752; /*輔助色系1*/
  --SubColor2: #c4ba95; /*輔助色系2*/
  --SubColor3: #fff; /*輔助色系3*/
  --SubColor4: #fff; /*輔助色系4*/  
  --SubColor5: #fff; /*輔助色系5*/ 
  --SubColor6: #fff; /*輔助色系6*/ 
  --Font: 'Poppins','Noto Sans TC',sans-serif;/*字型設定*/
}


/* 字型崁入-中文:Noto Sans TC + 英文:Poppins ---- */
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+TC:wght@100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/* = = = 分隔線 = = = = = = = = = = = = = = = = = = = = = = = = = = = = = */

/*動畫入場text-----------------------------------*/
.bannerindex .swiper-slide:nth-child(1):before {
    content: "";
    background-image: url(https://pic03.eapple.com.tw/guanghongtv/text-01.png);
    height: 100%;
    width: 100%;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    transform: translate(0%, 0%);
    opacity: 1;
    z-index: 999;
    position: absolute;
}

/*----------------------------------------------*/
.bannerindex .swiper-slide:nth-child(2):before {
    content: "";
    background-image: url(https://pic03.eapple.com.tw/guanghongtv/text-02.png);
    height: 100%;
    width: 100%;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    transform: translate(0%, 0%);
    opacity: 1;
    z-index: 999;
    position: absolute;
}
/* header-------------------------------------- */
.header_area {
    padding: 10px 0;
    background: #111;
    transition: .3s;
}
.header_area.sticky {
    transition: .3s;
    background: #000000c9;
    border-bottom: 1px solid #ffeebd59;
}
.main_header_area .container {
    max-width: 95%;
}
.navigation {
    display: flex;
    justify-content: flex-end;
    grid-gap: 0 35px;
}
.nav-header {
    position: absolute;
    max-width: 70px;
    display: flex;
    justify-content: center;
    align-items: center;
    transform: translate(0, 10px);
    margin: 0 40px;
}
.nav-header:before {
    position: absolute;
    content: "";
    width: 150px;
    height: 150px;
    background: #000;
    z-index: -1;
    border-radius: 0 0 10px 10px;
}
.nav-header:after {
    content: "";
    position: absolute;
    width: 148px;
    height: 18px;
    background: url(https://pic03.eapple.com.tw/guanghongtv/logoonlyword.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position-x: left;
    background-position-y: top;
    left: 125px;
    top: 0%;
}
.me_tp_features {
    order: 2;
    width: auto;
    display: flex;
    align-items: center;
}
.tp_links {
    display: flex;
    flex-wrap: nowrap;
    gap: 5px;
}
.tp_links a {
    color: var(--SubColor2);
    display: flex;
    justify-content: center;
    align-items: center;
    transition: .3s;
}
.tp_links a.me_tp_call {
    font-size: 15px;
}
.tp_links a i.fa-line:before {
    content: "";
    background: url(https://pic03.eapple.com.tw/guanghongtv/line.svg);
    width: 18px;
    height: 17px;
    background-size: cover;
    background-repeat: no-repeat;
    display: block;
}
.tp_links a i.fa-envelope::before {
    content: "";
    background: url(https://pic03.eapple.com.tw/guanghongtv/mail.svg);
    width: 16px;
    height: 16px;
    background-size: cover;
    background-repeat: no-repeat;
    display: block;
}
.tp_links a:hover {
    color: #fff;
    transition: .3s;
    filter: brightness(3);
}
.stellarnav > ul > li > a {
    letter-spacing: .1em;
    color: #c4ba95;;
    font-family: var(--Font);
    font-size: 15px;
    font-weight: 400;
    margin: 0 15px;
    height: 35px;
    transition: .3s;
}
.stellarnav > ul > li.has-sub > a {
    padding-right: 16px;
}
.stellarnav li.has-sub > a:after {
    border-top: 0;
    border-left: 1px solid #c4ba95;
    border-right: 0;
    border-bottom: 1px solid #c4ba95;
    width: 7px;
    height: 7px;
    transform: translateY(-60%) translateX(-60%) rotate(-45deg);
    margin-left: 0;
    margin-bottom: auto;
}
.stellarnav ul:hover > li > a {
    transition: .3s;
    color: #5f5940;
}
.stellarnav > ul > li:hover > a {
    color: #c4ba95 !important;
    transition: .3s;
}
.stellarnav ul:hover >li.has-sub > a:after {
    border-left: 1px solid #5f5940;
    border-bottom: 1px solid #5f5940;
    transition: .3s;
}
.stellarnav ul >li.has-sub:hover > a:after {
    border-left: 1px solid #c4ba95;
    border-bottom: 1px solid #c4ba95;
    transition: .3s;
}














/*上方選單解除滑動固定
.header_area.sticky { position:relative;}
*/

/*上方選單右邊設定 臉書/LINE/電話/信箱
.tp_links a:before {寬高大小設定}
.tp_links a.me_tp_fb {}
.tp_links a.me_tp_fb:before {背景換圖/建議.SVG}
.tp_links a.me_tp_line {}
.tp_links a.me_tp_line:before {背景換圖/建議.SVG}
.tp_links a.me_tp_call {}
.tp_links a.me_tp_call:before {背景換圖/建議.SVG}
.tp_links a.me_tp_mail {}
.tp_links a.me_tp_mail:before {背景換圖/建議.SVG}
*/


/*電腦LOGO
.nav-brand {}
*/

/*手機LOGO
.nav-brand-m {}
*/

/* fix links-------------------------------------- */
/*
崁入其他連結放置後台之語法:
<a class="info_fix_default info_fix_名稱" href="連結" target="_blank(在新分頁中打開)">
<img src="https://pic03.eapple.com.tw/資料夾名稱/圖片名稱.svg" /></a> 
<!--名稱-->
*/
.info_fix {
    width: 40px;
    bottom: 100px;
    right: 0;
}
.info_fix_links {
    display: flex !important;
    width: 42px;
    border: 1px solid #ffeebd59;
    padding-bottom: 0;
    border-radius: 6px 0 0 6px;
}
.info_fix_links a {
    font-size: 1em;
    width: 40px;
    height: 40px;
    background: #000000a3;
    margin-bottom: 0;
    border-radius: 0;
}
a.info_fix_default.info_fix_line {
    border-radius: 5px 0 0 0;
}
a.info_fix_default.info_fix_mail {
    border-radius: 0 0 0 5px;
}
.info_fix_links a:hover {
    background: #ae8b3b;
}
.info_fix_links a i:after {
    display: block;
    width: 20px;
    font-family: var(--Font);
    font-weight: 200;
    font-size: 11px;
    line-height: 130%;
    margin-top: 6px;
}
a.info_fix_default.info_fix_line:hover i.fa-line:after {
    content: "立即洽詢";
}
a.info_fix_default.info_fix_line:hover {
    height: 110px;
}
a.info_fix_default.info_fix_tel:hover i.fa-phone-volume:after {
    content: "雙北服務電話";
}
a.info_fix_default.info_fix_tel:hover {
    height: 135px;
}
a.info_fix_default.info_fix_tel2:hover i.fa-phone-volume:after {
    content: "桃園服務電話";
}
a.info_fix_default.info_fix_tel2:hover {
    height: 135px;
}
a.info_fix_default.info_fix_mail:hover i.fa-envelope:after {
    content: "立即來信";
}
a.info_fix_default.info_fix_mail:hover {
    height: 110px;
}








.linksBtn {
    display: none;
}

















/* footer-------------------------------------- */

.footer {
    padding: 40px 0 0 0;
    background: #111;
    border-top: 1px solid #ffeebd59;
}
.footer:before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    transform: translateX(-50%);
    left: 50%;
    top: 0;
    background: url(https://pic03.eapple.com.tw/guanghongtv/ftbg.jpg);
    z-index: -2;
    background-size: cover;
    background-repeat: no-repeat;
    background-position-y: top;
    background-attachment: fixed;
    pointer-events: none;
    filter: sepia(1);
    opacity: .1;
}
.footer_info {
    display: grid;
    padding-right: 0;
    grid-template-columns: unset;
    justify-items: center;
}

.footer_logo {
    max-width: 265px;
    height: fit-content;

}
.footer_logo img {
    max-width: 265px;
    width: 265px;
    height: 80px;
    opacity: 0;
}
.footer_logo:after {
    content: "";
    position: absolute;
    width: 265px;
    height: 80px;
    background: url(https://pic03.eapple.com.tw/guanghongtv/LOGO-01.png);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    transform: translateX(-50%);
    left: 50%;
    top: 0;
    z-index: -1;
}
.box_link {
    display: none;
}
.footer_info ul {
    display: flex;
    gap: 15px;
    flex-direction: column;
    align-items: center;
}
.footer_info li:nth-child(1) {
    text-align: center;
}
.footer_info li p, .footer_info li p a {
    font-family: var(--Font);
    font-size: 13px;
    letter-spacing: 1px;
    line-height: 190%;
    font-weight: 500;
}
.footer_info li p {
    color: #858068;
    font-weight: 700;
}
.footer_info li:nth-child(1):hover p {
    color: #747266;
    transition: .3s;
}
.footer_info li p:hover {
    transition: .3s;
    color: #858068!important;
}
.footer_info li p a {
    color: #747266;
}
.footer_info li p:hover a {
    transition: .3s;
    color: #858068;
}
.footer_info li p.tel:before {
    content: '雙北地區服務電話：';
}
.footer_info li p.tel2:before {
    content: '桃園地區服務電話：';
}
.footer_menu {
    display: grid;
    gap: 20px;
    grid-auto-flow: column;
}
.footer_menu a:nth-of-type(1) {
    display: none;
}
.footer_menu a {
    margin: 0;
    background: #1b1b1b;
    border: 0;
    color: var(--SubColor2);
    font-family: var(--Font);
    letter-spacing: 1px;
    padding: 10px 12px;
    border: 1px solid #d6c9a617;
    border-radius: 4px;
    transition: .3s;
}
.footer_menu a:hover {
    background: #a17e45;
    color: #fff;
    transition: .3s;
}
.copy {
    background: #a07b3e;
    padding: 9px 0;
    font-size: 13px;
    font-family: var(--Font);
    color: #ab9d66;
    letter-spacing: 1px;
    font-size: 11px;
    border-top: 0;
    margin-top: 60px;
}
.copy a {
    color: #ab9d66;
    transition: .3s;
}
.copy a:hover {
    color: #ffffff;
    transition: .3s;
}
.privacyLinks a+a {
    border-left: 0;
}


















/* 商品下拉超過30個變大 */
.stellarnav.desktop li.bigMenu>ul{display: grid; grid-template-columns: repeat(auto-fill, minmax(220px, 1fr)); left: 0; width: 100%; position: fixed; padding: 20px;}
.stellarnav.desktop li.bigMenu ul ul{top: 100%; left: 0; width: 100%; background: #efefef; height: auto; max-height: 300px; overflow: auto;}
.stellarnav.desktop li.bigMenu ul ul li{margin: 0;} 
.stellarnav.hasBigMenu li.bigMenu li.has-sub > a:after{border-left: 6px solid transparent; border-bottom:unset; border-right: 6px solid transparent; border-top: 6px solid #898989; right: 5px;}
/* 主分類超過30個但次分類直接顯示 
.stellarnav.desktop li.bigMenu>ul{grid-gap: 10px;}
.stellarnav.desktop li.bigMenu li{border: 0;}
.stellarnav.desktop li.bigMenu>ul>li>a{border: 1px solid #ddd;}
.stellarnav.desktop li.bigMenu ul ul{display: block !important; position: relative; top: 0; background: unset; border: 0;}
.stellarnav.desktop li.bigMenu ul ul li{border: 0;}
 主分類超過30個但次分類直接顯示-結束 */

/* 商品下拉超過30個--結束 */

/* = = = 分隔線 = = = = = = = = = = = = = = = = = = = = = = = = = = = = = */


/*預設購物車版面 產品分類選單在左側 商品內頁詳細介紹下表單更改樣式 by shint at 2023.1.5  */
.product_page .main_part { max-width:1500px;}
/* .product_info_page .main_part { max-width:1200px;} */

.product_page .show_content,
.product_info_page .show_content { width: 100%; display: flex; justify-content: space-between; flex-wrap: wrap; align-items: flex-start; align-content: flex-start;}
.product_page .product_menu_list { position: relative; width: 220px; letter-spacing: 1px; /*border-right: 1px solid #ccc;*/min-height: 30vw;}
.product_page .products-list,
.product-wrapper { width: calc(100% - 270px);}
ul.page { width: 100%;}

.product-layer-two li ul { position:static; margin-top:5px; /*display:block !important;*/ width:100%; margin-left:0;}
.product-layer-two li:hover ul { border: none !important; /*display:block !important;*/}
.product-layer-two li li { display: block; padding:0; transition:all ease .3s;}
.product-layer-two li li a{ padding:5px 10px;}
.product-layer-two li li:hover > a { background:#fff; color:#ad925e;}
.product-layer-two > li { width:100%; max-width:100%; padding:0; text-align:left; border-bottom:1px dotted #ccc; padding-bottom: 5px;}
.product-layer-two > li ul > li + li { margin-top:5px;}

.product_info_page .product-layer-two { display: none;}
.product_info_page .products-list,
.product-wrapper { width: 100%;}

.product-layer-two li li:hover{ margin-left: 15px;}
.product-layer-two li li > a:before { content: ""; position: absolute; width: 12px; height: 8px; background: transparent; left: 0; margin-left: -20px; top: 50%; margin-top: -4px; clip-path: polygon(0 0, 100% 50% , 0 100%);}
.product-layer-two li li:hover > a:before { background:#ad925e;}

.product_info_page .half_box { width: 100%; float: none; padding-right: 0;}
.product_info_page .half_box li.btn_blankTop { margin-top: 50px; justify-content: space-between; display: flex;}
.product_info_page .half_box li.btn_blankTop input { width: calc(50% - 10px); background-image: none; padding: 0; text-align: center;}
@media screen and (max-width: 1200px) {
}

@media screen and (max-width: 980px) {
}

@media screen and (max-width: 768px) {
.product_menu_list,
.products-list,
.product-wrapper { width: 100%;}
.product-layer-two { margin-right: 0; grid-template-columns: repeat(auto-fill, minmax(230px, 1fr)); grid-gap: 5px;}
.product_page .product-layer-two,
.product_page .products-list { width: 100%; border-right: none;}
.product_page .product_menu_list>h5{display: block;}

.product_page .show_content > a { order: 1;}
.product_page ul.products-list { order: 2;}
.product_page ul.page { order: 3;}
.product_page .product_menu_list {width: 100%; order: 0; min-height: unset;}
}

@media screen and (max-width: 600px) {
}


/* = = = 分隔線 = = = = = = = = = = = = = = = = = = = = = = = = = = = = = */


/*預設解除背景輪播*/
#content_main { background: #141414;}
.bannerindex { height:auto;}
.swiper-banner { position:static; margin:0; height:auto;} 
/* .swiper-slide img { height:auto;} */
@media screen and (max-width: 768px) {
.bannerindex { padding:0; margin:0;}
}
.sb_marquee {display: none;}/*大圖下方空白隱藏*/

/* = = = 分隔線 = = = = = = = = = = = = = = = = = = = = = = = = = = = = = */


/*內頁BANNER設定--------*/
.banner {}
.banner h5 {}
.banner.banA {}
.banner.banB {}
.banner.banC {}
.banner.banD {}
.banner.banE {}
.banner.banblog {}

/* = = = 分隔線 = = = = = = = = = = = = = = = = = = = = = = = = = = = = = */


/*文章設定*/
/*一排呈現
.subbox_item { width:100%;}
*/


/* = = = 分隔線 = = = = = = = = = = = = = = = = = = = = = = = = = = = = = */


/*相本分類全版面 ( 限制最寬2000px
.work_page .main_part { max-width:2000px;}
.work_page .show_content { padding:0; width:100%;}
.work_page .show-list .item { width:33%; display:inline-block; float:none; margin:0; padding:0;}
@media screen and (max-width: 768px) {
.work_page .show-list .item { width:49%;}
}
@media screen and (max-width: 570px) {
.work_page .show-list .item { width:100%;}
}
.work_page .show-list .item a { max-width:100%;}
.work_page .show-list .show_pic { height:auto; line-height:0;}
.work_page .show-list .show_pic img { max-width:100%; max-height:100%;}
.work_page .show-list .show_name { position:absolute; top:50%; right:10%; width:80%; height:auto; line-height:160%; font-size: 20px; color: #FFFFFF !important; border: solid 1px #fff; text-align: center; margin: -20px 0 0 -120px; padding:5px 20px; transition:all ease-in .3s; opacity:0;}
.work_page .show-list .item:hover .show_name {opacity:1;}
*/


/* = = = 分隔線 = = = = = = = = = = = = = = = = = = = = = = = = = = = = = */


/*相本列表
.work_info_page .main_part { max-width:2000px;}
.work_info_page .show_content { padding:0; width:100%;}
.work_info_page .subalbum-menu { text-align:center;}
.work_info_page .subalbum-menu h2 { float:none;}
.work_info_page .pic-list .item { margin:0; padding:10px; width:49%; float:none; display:inline-block;}
@media screen and (max-width: 768px) {
.work_info_page .pic-list .item { width:100%;}
}
.work_info_page .pic-list .show_pic { height:auto; line-height:0;}
.work_info_page .pic-list .show_pic img { max-width:100%; max-height:100%;}
.work_info_page .pic-list .item a { max-width:100%; pointer-events: none; cursor: default; } 取消連結被點擊效果
*/


/* = = = 分隔線 = = = = = = = = = = = = = = = = = = = = = = = = = = = = = */

@media screen and (max-width: 768px) {
/* 開啟手機板下方按鈕所需設定 */
/*#bottom_menu {display: block; }*/
.footer.with_shopping_mode { padding:30px 0 70px; }
#to_top { bottom:60px;}
}

@media screen and (max-width: 600px) { 
}




